Opened 13 years ago

Closed 13 years ago

Last modified 13 years ago

#523 closed defect (fixed)

mplayer crashes when using yadif and/or mcdeint deinterlacing filters on Mac OS X, PPC.

Reported by: jan@… Owned by: reimar
Priority: normal Component: vf
Version: 1.0pre8 Severity: normal
Keywords: Cc:
Blocked By: Blocking:
Reproduced by developer: Analyzed by developer:

Description

System Info
Mac OS X 10.4.6
Dual 2GHz G5, 2.5GB RAM, ATI Radeon 9600 XT
XCode 2.3

uname -a
Darwin localhost 8.6.0 Darwin Kernel Version 8.6.0: Tue Mar 7 16:58:48 PST 2006;
root:xnu-792.6.70.obj~1/RELEASE_PPC Power Macintosh powerpc

gcc -v
Using built-in specs.
Target: powerpc-apple-darwin8
Configured with: /private/var/tmp/gcc/gcc-5341.obj~1/src/configure --disable-checking -enable-
werror --prefix=/usr --mandir=/share/man --enable-languages=c,objc,c++,obj-c++ --program-
transform-name=/[cg][.-]*$/s/$/-4.0/ --with-gxx-include-dir=/include/c++/4.0.0 --with-
slibdir=/usr/lib --build=powerpc-apple-darwin8 --host=powerpc-apple-darwin8 --target=powerpc-
apple-darwin8
Thread model: posix
gcc version 4.0.1 (Apple Computer, Inc. build 5341)

ld -v
Apple Computer, Inc. version cctools-590.42.1.obj~1

as --version
/usr/libexec/gcc/darwin/ppc/as: I don't understand '-' flag!
Apple Computer, Inc. version cctools-590.42.1.obj~1, GNU assembler version 1.38

Compiled by following
http://www.mplayerhq.hu/DOCS/HTML/en/macos.html
adding --enable-debug=3 for the gdb build
compile log available upon request

Crash Log
/Volumes/Video?/MPlayer-dev-SVN-060624/MPlayer\ OSX.app/Contents/Resources/External_Binaries/
mplayer.app/Contents/MacOS/mplayer -v -vf yadif=3:0,mcdeint=1:0,framestep=2 /Volumes/Video/?
nano\ 2006-06-19.mpeg > mplayer.log 2>&1
MPlayer dev-SVN-r18809-4.0.1 (C) 2000-2006 MPlayer Team
AltiVec? found
CPU: PowerPC

get_path('codecs.conf') -> '/Users/jan/.mplayer/codecs.conf'
Reading /Users/jan/.mplayer/codecs.conf: Can't open '/Users/jan/.mplayer/codecs.conf': No such file
or directory
Reading /usr/local/etc/mplayer/codecs.conf: Can't open '/usr/local/etc/mplayer/codecs.conf': No such
file or directory
Using built-in default codecs.conf.
CommandLine?: '-v' '-vf' 'yadif=3:0,mcdeint=1:0,framestep=2' '/Volumes/Video?/nano
2006-06-19.mpeg'
get_path('font/font.desc') -> '/Users/jan/.mplayer/font/font.desc'
font: can't open file: /Users/jan/.mplayer/font/font.desc
Font /usr/local/share/mplayer/font/font.desc loaded successfully! (206 chars)
Using Unoptimized OnScreenDisplay?
Using Darwin accurate timing
get_path('input.conf') -> '/Users/jan/.mplayer/input.conf'
Can't open input config file /Users/jan/.mplayer/input.conf: No such file or directory
Can't open input config file /usr/local/etc/mplayer/input.conf: No such file or directory
Falling back on default (hardcoded) input config
get_path('nano 2006-06-19.mpeg.conf') -> '/Users/jan/.mplayer/nano 2006-06-19.mpeg.conf'

Playing /Volumes/Video?/nano 2006-06-19.mpeg.
get_path('sub/') -> '/Users/jan/.mplayer/sub/'
File not found: '/Volumes/Video?/nano 2006-06-19.mpeg'
Failed to open /Volumes/Video?/nano 2006-06-19.mpeg.

Exiting... (End of file)

gdb
(gdb) gdb mplayer --core=core -batch --command=command_file > mplayer.bug
Undefined command: "gdb". Try "help".
(gdb) run -v -vo macosx -vf yadif=3:0,mcdeint=1:0,framestep=2 /Volumes/Video?\ werden/nano\
2006-06-19.mpeg
The program being debugged has been started already.
Start it from the beginning? (y or n) y
Starting program: /Users/jan/main/mplayer -v -vo macosx -vf yadif=3:0,mcdeint=1:0,framestep=2 /
Volumes/Video?/nano\ 2006-06-19.mpeg
MPlayer dev-SVN-r18809-4.0.1 (C) 2000-2006 MPlayer Team
AltiVec? found
CPU: PowerPC

get_path('codecs.conf') -> '/Users/jan/.mplayer/codecs.conf'
Reading /Users/jan/.mplayer/codecs.conf: Can't open '/Users/jan/.mplayer/codecs.conf': No such file
or directory
Reading /usr/local/etc/mplayer/codecs.conf: Can't open '/usr/local/etc/mplayer/codecs.conf': No such
file or directory
Using built-in default codecs.conf.
CommandLine?: '-v' '-vo' 'macosx' '-vf' 'yadif=3:0,mcdeint=1:0,framestep=2' '/Volumes/Video?/nano
2006-06-19.mpeg'
get_path('font/font.desc') -> '/Users/jan/.mplayer/font/font.desc'
font: can't open file: /Users/jan/.mplayer/font/font.desc
Font /usr/local/share/mplayer/font/font.desc loaded successfully! (206 chars)
Using Unoptimized OnScreenDisplay?
Using Darwin accurate timing
get_path('input.conf') -> '/Users/jan/.mplayer/input.conf'
Can't open input config file /Users/jan/.mplayer/input.conf: No such file or directory
Can't open input config file /usr/local/etc/mplayer/input.conf: No such file or directory
Falling back on default (hardcoded) input config
get_path('nano 2006-06-19.mpeg.conf') -> '/Users/jan/.mplayer/nano 2006-06-19.mpeg.conf'

Playing /Volumes/Video?/nano 2006-06-19.mpeg.
get_path('sub/') -> '/Users/jan/.mplayer/sub/'
[file] File size is 679535588 bytes
STREAM: [file] /Volumes/Video?/nano 2006-06-19.mpeg
STREAM: Description: File
STREAM: Author: Albeu
STREAM: Comment: based on the code from ??? (probably Arpi)
Checking for YUV4MPEG2
ASF_check: not ASF guid!
Checking for NuppelVideo?
Checking for REAL
Checking for SMJPEG
Searching demuxer type for filename /Volumes/Video?/nano 2006-06-19.mpeg ext: .mpeg
Checking for Nullsoft Streaming Video
Checking for MOV
Checking for VIVO
header block 1 size: 0
Checking for PVA
Checking for MPEG-TS...
TRIED UP TO POSITION 68425, FOUND 47, packet_size= 0, SEEMS A TS? 0
Checking for LMLM4 Stream Format
Invalid packet in LMLM4 stream: ch=0 size=1140851704
LMLM4 Stream Format not found
system stream synced at 0xD (13)!
==> Found video stream: 0
==> Found audio stream: 128
MPEG Stream reached EOF
ds_fill_buffer: EOF reached (stream: video)
MPEG-PS file format detected.
Searching for sequence header... OK!
VIDEO: MPEG2 704x576 (aspect 2) 25.000 fps 8000.0 kbps (1000.0 kbyte/s)
[V] filefmt:2 fourcc:0x10000002 size:704x576 fps:25.00 ftime:=0.0400
get_path('sub/') -> '/Users/jan/.mplayer/sub/'
2006-06-25 00:12:57.579 mplayer[3312] Can't open input server /Users/jan/Library/InputManagers/
Safari Ad Blocking
Opening video filter: [framestep=2]
Opening video filter: [mcdeint=1:0]
Opening video filter: [yadif=3:0]
===============================================================
===========
Opening video decoder: [mpegpes] MPEG 1/2 Video passthrough
VDec: vo config request - 704 x 576 (preferred colorspace: Mpeg PES)
Trying filter chain: yadif mcdeint framestep vo
Could not find matching colorspace - retrying with -vf scale...
Opening video filter: [scale]
SwScale? params: -1 x -1 (-1=no scaling)
Trying filter chain: scale yadif mcdeint framestep vo
The selected video_out device is incompatible with this codec.
Try adding the scale filter, e.g. -vf spp,scale instead of -vf spp.
VDecoder init failed :(
Opening video decoder: [libmpeg2] MPEG 1/2 Video decoder libmpeg2-v0.4.0b
Selected video codec: [mpeg12] vfm: libmpeg2 (MPEG-1 or 2 (libmpeg2))
===============================================================
===========
===============================================================
===========
Opening audio decoder: [liba52] AC3 decoding with liba52
dec_audio: Allocating 3840 bytes for input buffer.
dec_audio: Allocating 6144 + 65536 = 71680 bytes for output buffer.
Using AltiVec? optimized IMDCT transform
AC3: 2.0 (stereo) 48000 Hz 384.0 kbit/s
A52 flags before a52_frame: 0x2A
A52 flags after a52_frame: 0x2
Checking for AltiVec? resampler : 0x00000002, 2
Using AltiVec? optimized resampler
AUDIO: 48000 Hz, 2 ch, s16be, 384.0 kbit/25.00% (ratio: 48000->192000)
Selected audio codec: [a52] afm: liba52 (AC3-liba52)
===============================================================
===========
Building audio filter chain for 48000Hz/2ch/s16be -> 0Hz/0ch/s8...
[libaf] Adding filter dummy
[dummy] Was reinitialized: 48000Hz/2ch/s16be
[dummy] Was reinitialized: 48000Hz/2ch/s16be
AO: [macosx] source: 48000.0Hz 16bit [lpcm] int BE S packed
Reading symbols for shared libraries . done
AO: [macosx] 4096 chunk size
AO: [macosx] 48000Hz 2ch s16be (2 bytes per sample)
AO: Description: Darwin/Mac? OS X native audio output
AO: Author: Timothy J. Wood & Dan Christiansen & Chris Roccati
Building audio filter chain for 48000Hz/2ch/s16be -> 48000Hz/2ch/s16be...
[dummy] Was reinitialized: 48000Hz/2ch/s16be
[dummy] Was reinitialized: 48000Hz/2ch/s16be
Starting playback...
VDec: vo config request - 704 x 576 (preferred colorspace: Planar YV12)
Trying filter chain: yadif mcdeint framestep vo
Could not find matching colorspace - retrying with -vf scale...
Opening video filter: [scale]
SwScale? params: -1 x -1 (-1=no scaling)
Trying filter chain: scale yadif mcdeint framestep vo
The selected video_out device is incompatible with this codec.
Try adding the scale filter, e.g. -vf spp,scale instead of -vf spp.

FATAL: Could not initialize video filters (-vf) or video output (-vo).

Uninit audio filters...
[libaf] Removing filter dummy
Uninit audio: liba52
Uninit video: libmpeg2

Program received signal EXC_BAD_ACCESS, Could not access memory.
Reason: KERN_PROTECTION_FAILURE at address: 0x00000084
avcodec_close (avctx=0x0) at utils.c:1010
1010 if (avctx->codec->close)
(gdb) bt
#0 avcodec_close (avctx=0x0) at utils.c:1010
#1 0x00068ee0 in uninit (vf=0x158aab0) at vf_mcdeint.c:285
#2 0x00048f94 in vf_uninit_filter (vf=0x158aab0) at vf.c:693
#3 0x000490dc in vf_uninit_filter_chain (vf=0x0) at vf.c:704
#4 0x0004a698 in uninit_video (sh_video=0x150fcd0) at dec_video.c:148
#5 0x000030b4 in uninit_player (mask=0) at mplayer.c:433
#6 0x0000d08c in main (argc=0, argv=0x390000) at mplayer.c:4890
(gdb) disass $pc-32 $pc+32
Dump of assembler code from 0x1405a0 to 0x1405e0:
0x001405a0 <avcodec_close+80>: bl 0x140510 <av_log>
0x001405a4 <avcodec_close+84>: li r3,-1
0x001405a8 <avcodec_close+88>: lwz r2,0(r31)
0x001405ac <avcodec_close+92>: addi r2,r2,-1
0x001405b0 <avcodec_close+96>: stw r2,0(r31)
0x001405b4 <avcodec_close+100>: b 0x140604 <avcodec_close+180>
0x001405b8 <avcodec_close+104>: nop
0x001405bc <avcodec_close+108>: nop
0x001405c0 <avcodec_close+112>: lwz r2,132(r3)
0x001405c4 <avcodec_close+116>: lwz r0,24(r2)
0x001405c8 <avcodec_close+120>: cmpwi cr7,r0,0
0x001405cc <avcodec_close+124>: beq- cr7,0x1405dc <avcodec_close+140>
0x001405d0 <avcodec_close+128>: mtctr r0
0x001405d4 <avcodec_close+132>: mr r12,r0
0x001405d8 <avcodec_close+136>: bctrl
0x001405dc <avcodec_close+140>: mr r3,r30
End of assembler dump.
(gdb) info all-registers
r0 0x1 1
r1 0xbfffe660 3221218912
r2 0x1 1
r3 0x0 0
r4 0x0 0
r5 0x3e8 1000
r6 0xffffffffffffffff 18446744073709551615
r7 0xc07 3079
r8 0x1 1
r9 0xa0001fac 2684362668
r10 0x4 4
r11 0x44002412 1140859922
r12 0x68eb0 429744
r13 0x4c0000 4980736
r14 0x4c0000 4980736
r15 0x0 0
r16 0x0 0
r17 0x0 0
r18 0x0 0
r19 0x480000 4718592
r20 0x0 0
r21 0x4c0000 4980736
r22 0x480000 4718592
r23 0x480000 4718592
r24 0x0 0
r25 0x4c0000 4980736
r26 0x480000 4718592
r27 0x390000 3735552
r28 0x480000 4718592
r29 0x4c4144 4997444
r30 0x0 0
r31 0x4e3278 5124728
f0 0.00041499998769722879 (raw 0x3f3b328b60000000)
f1 0 (raw 0x0000000000000000)
f2 -2.5 (raw 0xc004000000000000)
f3 0 (raw 0x0000000000000000)
f4 0.014628776239280238 (raw 0x3f8df5b11c39c66c)
f5 -0.041939766255643662 (raw 0xbfa5792108f09350)
f6 0.0565685424949239 (raw 0x3facf68d4fff04eb)
f7 -nan(0x8000000000010) (raw 0xfff8000000000010)
f8 0.41999999999999998 (raw 0x3fdae147ae147ae1)
f9 0.70710676908493042 (raw 0x3fe6a09e60000000)
f10 1.4085218325021742e-08 (raw 0x3e4e3f6e40000000)
f11 0 (raw 0x0000000000000000)
f12 415 (raw 0x4079f00000000000)
f13 0 (raw 0x0000000000000000)
f14 -238423838475.15292 (raw 0xc24bc19587859393)
f15 -238423838475.15292 (raw 0xc24bc19587859393)
f16 -238423838475.15292 (raw 0xc24bc19587859393)
f17 -238423838475.15292 (raw 0xc24bc19587859393)
f18 -238423838475.15292 (raw 0xc24bc19587859393)
f19 -238423838475.15292 (raw 0xc24bc19587859393)
f20 -238423838475.15292 (raw 0xc24bc19587859393)
f21 -238423838475.15292 (raw 0xc24bc19587859393)
f22 -238423838475.15292 (raw 0xc24bc19587859393)
f23 -238423838475.15292 (raw 0xc24bc19587859393)
f24 -238423838475.15292 (raw 0xc24bc19587859393)
f25 -238423838475.15292 (raw 0xc24bc19587859393)
f26 30021.802444722518 (raw 0x40dd51735b411c04)
f27 6.600748747587204e-07 (raw 0x3ea6260000000000)
f28 0 (raw 0x0000000000000000)
f29 0 (raw 0x0000000000000000)
f30 0 (raw 0x0000000000000000)
f31 0 (raw 0x0000000000000000)
v0 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v1 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v2 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v3 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v4 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v5 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v6 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v7 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v8 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v9 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v10 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v11 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v12 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v13 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v14 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v15 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v16 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v17 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v18 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v19 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v20 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v21 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v22 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v23 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v24 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v25 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v26 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v27 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v28 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v29 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v30 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
v31 {

uint128 = 0x7fffdead7fffdead7fffdead7fffdead,
v4_float = {nan(0x7fdead), nan(0x7fdead), nan(0x7fdead), nan(0x7fdead)},
v4_int32 = {2147475117, 2147475117, 2147475117, 2147475117},
v8_int16 = {32767, -8531, 32767, -8531, 32767, -8531, 32767, -8531},
v16_int8 = "\177???\177???\177???\177???"

} (raw 0x7fffdead7fffdead7fffdead7fffdead)
pc 0x1405c0 1312192
ps 0x100000000200f930 1152921504640465200
cr 0x24002412 603989010
lr 0x68ee0 429792
ctr 0x68eb0 429744
xer 0x0 0
mq 0x0 0
fpscr 0x82004000 2181054464
vscr 0x10000 65536
vrsave 0x0 0
(gdb)

Change History (7)

comment:1 Changed 13 years ago by reimar

  • Resolution set to fixed
  • Status changed from new to closed

Can not really reproduce, but at least that particular bug should be fixed.
Please try again and see if it still crashes somewhere (in that case reopen).

comment:2 Changed 13 years ago by jan@…

  • Resolution fixed deleted
  • Status changed from closed to reopened

This still crashes mplayer compiled today from SVN.

comment:3 Changed 13 years ago by jan@…

these work:
~/MPlayer/main/mplayer -v -vo macosx /Volumes/Video?/nano\ 2006-01-11\ DVB-C.mpeg

~/MPlayer/main/mplayer -v -vf framestep=1 -vo macosx /Volumes/Video?/nano\ 2006-01-11\ DVB-
C.mpeg

~/MPlayer/main/mplayer -v -vf framestep=2 -vo macosx /Volumes/Video?/nano\ 2006-01-11\ DVB-
C.mpeg

these crash mplayer:
~/MPlayer/main/mplayer -v -vf yadif=3:0,mcdeint=1:0,framestep=2 -vo macosx /Volumes/Video/?
nano\ 2006-01-11\ DVB-C.mpeg

~/MPlayer/main/mplayer -v -vf yadif=3:0,framestep=2 -vo macosx /Volumes/Video?/nano\
2006-01-11\ DVB-C.mpeg

~/MPlayer/main/mplayer -v -vf mcdeint=1:0,framestep=2 -vo macosx /Volumes/Video?/nano\
2006-01-11\ DVB-C.mpeg

~/MPlayer/main/mplayer -v -vf mcdeint=1:0 -vo macosx /Volumes/Video?/nano\ 2006-01-11\ DVB-
C.mpeg

comment:4 Changed 13 years ago by reimar

Please provide a new backtrace, the old one shouldn't apply anymore.

comment:5 Changed 13 years ago by jan@…

A closer look reveals that mplayer doesn't crash anymore. It just quits with an error message:
FATAL: Could not initialize video filters (-vf) or video output (-vo).
Should this ticket be changed to something like "yadif and/or mcdeint deinterlacing filters don't work
on Mac OS X, PPC."?

Here is the log in full:
localhost:~ jan$ gdb ~/MPlayer/main/mplayer
GNU gdb 6.3.50-20050815 (Apple version gdb-477) (Sun Apr 30 20:06:22 GMT 2006)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for details.
This GDB was configured as "powerpc-apple-darwin"...Reading symbols for shared libraries .............
done

(gdb) run -v -vf mcdeint=1:0 -vo macosx /Volumes/Video?/nano\ 2006-01-11\ DVB-C.mpeg
Starting program: /Users/jan/MPlayer/main/mplayer -v -vf mcdeint=1:0 -vo macosx /Volumes/Video/?
nano\ 2006-01-11\ DVB-C.mpeg
Reading symbols for shared libraries ...................................................................... done
MPlayer dev-SVN-r18838-4.0.1 (C) 2000-2006 MPlayer Team
AltiVec? found
CPU: PowerPC

get_path('codecs.conf') -> '/Users/jan/.mplayer/codecs.conf'
Reading /Users/jan/.mplayer/codecs.conf: Can't open '/Users/jan/.mplayer/codecs.conf': No such file
or directory
Reading /usr/local/etc/mplayer/codecs.conf: Can't open '/usr/local/etc/mplayer/codecs.conf': No such
file or directory
Using built-in default codecs.conf.
CommandLine?: '-v' '-vf' 'mcdeint=1:0' '-vo' 'macosx' '/Volumes/Video?/nano 2006-01-11 DVB-C.mpeg'
get_path('font/font.desc') -> '/Users/jan/.mplayer/font/font.desc'
font: can't open file: /Users/jan/.mplayer/font/font.desc
Font /usr/local/share/mplayer/font/font.desc loaded successfully! (206 chars)
Using Unoptimized OnScreenDisplay?
Using Darwin accurate timing
get_path('input.conf') -> '/Users/jan/.mplayer/input.conf'
Can't open input config file /Users/jan/.mplayer/input.conf: No such file or directory
Can't open input config file /usr/local/etc/mplayer/input.conf: No such file or directory
Falling back on default (hardcoded) input config
get_path('nano 2006-01-11 DVB-C.mpeg.conf') -> '/Users/jan/.mplayer/nano 2006-01-11 DVB-
C.mpeg.conf'

Playing /Volumes/Video?/nano 2006-01-11 DVB-C.mpeg.
get_path('sub/') -> '/Users/jan/.mplayer/sub/'
[file] File size is 1164598666 bytes
STREAM: [file] /Volumes/Video?/nano 2006-01-11 DVB-C.mpeg
STREAM: Description: File
STREAM: Author: Albeu
STREAM: Comment: based on the code from ??? (probably Arpi)
Checking for YUV4MPEG2
ASF_check: not ASF guid!
Checking for NuppelVideo?
Checking for REAL
Checking for SMJPEG
Searching demuxer type for filename /Volumes/Video?/nano 2006-01-11 DVB-C.mpeg ext: .mpeg
Checking for Nullsoft Streaming Video
Checking for MOV
Checking for VIVO
header block 1 size: 0
Checking for PVA
Checking for MPEG-TS...
TRIED UP TO POSITION 66353, FOUND 47, packet_size= 0, SEEMS A TS? 0
Checking for LMLM4 Stream Format
Invalid packet in LMLM4 stream: ch=0 size=1140851704
LMLM4 Stream Format not found
system stream synced at 0xD (13)!
==> Found video stream: 0
==> Found audio stream: 128
MPEG Stream reached EOF
ds_fill_buffer: EOF reached (stream: video)
MPEG-PS file format detected.
Searching for sequence header... OK!
VIDEO: MPEG2 720x576 (aspect 2) 25.000 fps 8000.0 kbps (1000.0 kbyte/s)
[V] filefmt:2 fourcc:0x10000002 size:720x576 fps:25.00 ftime:=0.0400
get_path('sub/') -> '/Users/jan/.mplayer/sub/'
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries ...... done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
2006-06-27 15:32:01.206 mplayer[12661] Can't open input server /Users/jan/Library/InputManagers/
Safari Ad Blocking
Reading symbols for shared libraries . done
Reading symbols for shared libraries .. done
Reading symbols for shared libraries . done
Reading symbols for shared libraries .. done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Opening video filter: [mcdeint=1:0]
===============================================================
===========
Opening video decoder: [mpegpes] MPEG 1/2 Video passthrough
VDec: vo config request - 720 x 576 (preferred colorspace: Mpeg PES)
Trying filter chain: mcdeint vo
Could not find matching colorspace - retrying with -vf scale...
Opening video filter: [scale]
SwScale? params: -1 x -1 (-1=no scaling)
Trying filter chain: scale mcdeint vo
The selected video_out device is incompatible with this codec.
Try adding the scale filter, e.g. -vf spp,scale instead of -vf spp.
VDecoder init failed :(
Opening video decoder: [libmpeg2] MPEG 1/2 Video decoder libmpeg2-v0.4.0b
Selected video codec: [mpeg12] vfm: libmpeg2 (MPEG-1 or 2 (libmpeg2))
===============================================================
===========
===============================================================
===========
Opening audio decoder: [liba52] AC3 decoding with liba52
dec_audio: Allocating 3840 bytes for input buffer.
dec_audio: Allocating 6144 + 65536 = 71680 bytes for output buffer.
Using AltiVec? optimized IMDCT transform
AC3: 2.0 (dolby) 48000 Hz 384.0 kbit/s
A52 flags before a52_frame: 0x2A
A52 flags after a52_frame: 0xA
Checking for AltiVec? resampler : 0x0000000a, 2
Using AltiVec? optimized resampler
AUDIO: 48000 Hz, 2 ch, s16be, 384.0 kbit/25.00% (ratio: 48000->192000)
Selected audio codec: [a52] afm: liba52 (AC3-liba52)
===============================================================
===========
Building audio filter chain for 48000Hz/2ch/s16be -> 0Hz/0ch/s8...
[libaf] Adding filter dummy
[dummy] Was reinitialized: 48000Hz/2ch/s16be
[dummy] Was reinitialized: 48000Hz/2ch/s16be
AO: [macosx] source: 48000.0Hz 16bit [lpcm] int BE S packed
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries ... done
Reading symbols for shared libraries .. done
Reading symbols for shared libraries . done
Reading symbols for shared libraries .. done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
Reading symbols for shared libraries . done
AO: [macosx] 4096 chunk size
AO: [macosx] 48000Hz 2ch s16be (2 bytes per sample)
AO: Description: Darwin/Mac? OS X native audio output
AO: Author: Timothy J. Wood & Dan Christiansen & Chris Roccati
Building audio filter chain for 48000Hz/2ch/s16be -> 48000Hz/2ch/s16be...
[dummy] Was reinitialized: 48000Hz/2ch/s16be
[dummy] Was reinitialized: 48000Hz/2ch/s16be
Starting playback...
VDec: vo config request - 720 x 576 (preferred colorspace: Planar YV12)
Trying filter chain: mcdeint vo
Could not find matching colorspace - retrying with -vf scale...
Opening video filter: [scale]
SwScale? params: -1 x -1 (-1=no scaling)
Trying filter chain: scale mcdeint vo
The selected video_out device is incompatible with this codec.
Try adding the scale filter, e.g. -vf spp,scale instead of -vf spp.

FATAL: Could not initialize video filters (-vf) or video output (-vo).

Uninit audio filters...
[libaf] Removing filter dummy
Uninit audio: liba52
Uninit video: libmpeg2
Reading symbols for shared libraries . done

Exiting... (End of file)

Program exited normally.

comment:6 Changed 13 years ago by reimar

Did you try what MPlayer tells you to do? Add a scale filter, i.e. -vf
mcdeint=1:0 ,scale ?

comment:7 Changed 13 years ago by jan@…

  • Resolution set to fixed
  • Status changed from reopened to closed

Oops. Adding ,scale does indeed do the trick!

yadif=3:0,mcdeint=1:0,framestep=2,scale
and even
yadif=3:0,mcdeint=1:0,framestep=1,scale
both work and producing impressive quality coupled with abysmal performance :)

Thanks a lot for your fast response and help!

Note: See TracTickets for help on using tickets.